## stymulator 0.21a~dfsg

=== src/Makefile ===
RM = rm -f
CC = g++
CFLAGS = -Wall

LZH = stsoundlib/lzh
STLIB = stsoundlib

INCLUDE = -L$(LZH) -L$(STLIB)

INSTALL = /usr/bin/install -c

all: libs ymplayer ym2wav

libs:
	@for subdir in $(STLIB) $(LZH); do \
	(cd $$subdir && make) || exit 1; \
	done

ymplayer: ymplayer.o sound.o ui.o
	$(CC) -o ymplayer $(INCLUDE) ymplayer.o sound.o ui.o -lasound -lym -llzh -lncurses

ym2wav: ym2wav.o
	$(CC) -o ym2wav $(INCLUDE) ym2wav.o -lym -llzh	

ymplayer.o: ymplayer.cpp $(STLIB)/StSoundLibrary.h ui.h sound.h
	$(CC) $(INLCUDE) -c ymplayer.cpp

ym2wav.o: ym2wav.cpp $(STLIB)/StSoundLibrary.h
	$(CC) $(INCLUDE) -c ym2wav.cpp

sound.o: sound.cpp sound.h
	$(CC) -c sound.cpp

ui.o: ui.c ui.h $(STLIB)/StSoundLibrary.h
	$(CC) -c ui.c

install: all
	$(INSTALL) ymplayer /usr/bin
	$(INSTALL) ym2wav /usr/bin

clean:

	@for subdir in $(LZH) $(STLIB); do \
	(cd $$subdir && make $@) || exit 1; \
	done

	$(RM)  *.o ymplayer ym2wav *~

=== src/stsoundlib/Makefile ===
CC = g++
AR = ar cr
RM = rm -f

LIB = digidrum.o Ymload.o Ym2149Ex.o YmMusic.o YmUserInterface.o

CFLAGS = -Wall

libym.a: $(LIB)
	$(AR) libym.a $(LIB)

digidrum.o: digidrum.cpp YmTypes.h
	$(CC) -c digidrum.cpp

Ym2149Ex.o: Ym2149Ex.cpp Ym2149Ex.h YmTypes.h
	$(CC) -c Ym2149Ex.cpp

Ymload.o: Ymload.cpp YmMusic.h lzh/lzh.h
	$(CC) -c Ymload.cpp

YmMusic.o: YmMusic.cpp YmMusic.h
	$(CC) -c YmMusic.cpp

YmUserInterface.o: YmUserInterface.cpp StSoundLibrary.h YmMusic.h
	$(CC) -c YmUserInterface.cpp

clean:
	$(RM) *~ *.o *.a

dist:

=== src/stsoundlib/lzh/Makefile ===
CC = gcc
AR = ar cr
RM = rm -f

CFLAGS = -Wall

liblzh.a: lzhlib.o
	$(AR) liblzh.a lzhlib.o

lzhlib.o: lzhlib.cpp lzh.h
	$(CC) -c lzhlib.cpp

clean:
	$(RM) *~ *.o *.a

dist:

=== debian/changelog ===
stymulator (0.21a~dfsg-4) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.3 to 4.7.0.
  * Replaced obsolete libncurses5-dev build dependency with libncurses-dev.
  * Moved to debhelper compat level 13.
  * Replaced package priority from obsolete extra to optional.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 26 Apr 2024 22:30:32 +0200

stymulator (0.21a~dfsg-3) unstable; urgency=medium

  * QA upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999080).

 -- Marcos Talau <talau@debian.org>  Thu, 03 Nov 2022 20:37:59 -0300

stymulator (0.21a~dfsg-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #673964)
  * Apply patch from Jari Aalto: (Closes: #664318)
    - Remove dpatch and upgrade to packaging format "3.0 quilt".
    - Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Use the Homepage field to point to the upstream homepage.
    (Closes: #615198)

 -- Adrian Bunk <bunk@debian.org>  Tue, 27 Jun 2017 11:51:35 +0300

stymulator (0.21a~dfsg-1) unstable; urgency=low

  * Initial release (Closes: #415676).
  * Upstream sources repacked to remove YM example files (unspecified license).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sun, 18 Mar 2007 16:21:28 +0100

=== debian/control ===
Source: stymulator
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libncurses-dev, libasound2-dev
Standards-Version: 4.7.0
Homepage: http://atariarea.krap.pl/stymulator/
Vcs-Browser: https://salsa.debian.org/debian/stymulator
Vcs-Git: https://salsa.debian.org/debian/stymulator.git
Rules-Requires-Root: no

Package: stymulator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Curses based player and converter for the YM chiptune format
 STYMulator is an Open Source (GPL License) player which plays music files
 in the YM chiptune format. In particular the YM files are Yamaha YM2149
 soundchip music datas (registers) dumped from the ATARI 16-bit computers.
 .
 The YM chiptune 'standard' has been introduced in the middle of 90's by
 Arnaud Carré aka Leonard/OXG. His sensational ST-Sound player has been
 released for Windows only. Ten years after the first ST-Sound creation he
 released ST-Sound library under GPL license.
 .
 STYMulator has a very simple terminal GUI. It has been written in pure
 ANSI C code with ncurses library. Sounds are generated through ALSA.
 .
 This package contains both ymplayer (curse based player) and ym2wav,
 a console YM to Wave converter.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CXXFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -O0
else
	CXXFLAGS += -O2
endif

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) CXXFLAGS="$(CXXFLAGS)" CXX="g++" -C src/
	touch $@

clean:
	dh_testdir
	rm -f build-stamp
	$(MAKE) clean -C src/
	dh_clean

install: build
	dh_testdir
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/stymulator PREFIX=/usr install -C src/

binary-indep:
binary-arch: build install
	dh_testdir
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch

build-arch: build
build-indep: build

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg$// \
http://atariarea.krap.pl/stymulator/ files/STYMulator-(.*)\.tar\.gz
